> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #3D Hall Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example

#include "hall_3D_click_hw.h"

char temp_txt[30];

// HAL_3D_CS variable should be defined depend on pin you using for CS
sbit HALL_3D_CS at GPIOD_ODR.B13;

void init_mcu()
{     GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_13 );
     
      // SPI initialisation     
      SPI3_Init_Advanced( _SPI_FPCLK_DIV256, _SPI_MASTER  | _SPI_8_BIT |                         
                          _SPI_CLK_IDLE_LOW | _SPI_SECOND_CLK_EDGE_TRANSITION |
                          _SPI_MSB_FIRST | _SPI_SS_DISABLE | _SPI_SSM_ENABLE |
                          _SPI_SSI_1, &_GPIO_MODULE_SPI3_PC10_11_12 );

      // UART initialisation     
      UART1_Init_Advanced( 115200, _UART_8_BIT_DATA, _UART_NOPARITY,
                           _UART_ONE_STOPBIT, &_GPIO_MODULE_USART1_PA9_10 );
}
      
void main()
{    
     measurement_t result;
     
     init_mcu();    
     hall_3d_init();    
     
     while( 1 )    
     {           
                 result = hall_3d_measure();           
                 
                 // Writing results to UART           
                 sprinti( temp_txt, "Alpha : %d \r\n", result.angle.alpha );           
                 UART1_Write_Text( temp_txt );           
                 sprinti( temp_txt, "Beta : %d \r\n", result.angle.beta );           
                 UART1_Write_Text( temp_txt );           
                 sprinti( temp_txt, "Error : %d \r\n", result.error );           
                 UART1_Write_Text( temp_txt );           
                 Delay_ms( 2000 );    
     }
}